.\" $NetBSD: grf.4,v 1.3 2008/04/30 13:10:55 martin Exp $
.\"
.\" Copyright (c) 2003 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Jaromir Dolecek.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd October 4, 2003
.Dt GRF 4 amiga
.Os
.Sh NAME
.Nm grf
.Nd Amiga graphics frame buffer device
.Sh SYNOPSIS
.Cd "grf0 at grfcc0"
.Cd "grf1 at grfrt0"
.Cd "grf2 at grfrh0"
.Cd "grf3 at grfcl?"
.Cd "grf4 at grful0"
.Cd "grf5 at grfcv0"
.Cd "grf6 at grfet?"
.Cd "grf7 at grfcv3d0"
.Sh DESCRIPTION
This is frame buffer device for Amiga.
There is fixed mapping to the common video hardware.
If the device is configured, the frame buffers are mapped as follows:
.Bl -tag -width "grf1 \*[Am] grf2"
.It grf0
custom chips
.It grf1 \*[Am] grf2
Retina Z2/Z3
.It grf3
Cirrus boards
.It grf4
A2410 video
.It grf5
CyberVision 64
.It grf6
ET4000 boards (Tseng - oMniBus, Domino, Merlin)
.It grf7
CyberVision 64/3D
.El
.Sh SEE ALSO
.Xr grfcl 4 ,
.Xr grfcv 4 ,
.Xr grfcv3d 4 ,
.Xr grfet 4 ,
.Xr grfrh 4 ,
.Xr grfrt 4 ,
.Xr grful 4 ,
.Xr hp300/grf 4 ,
.Xr ite 4
.Sh BUGS
This manpage should provide programming details.
